mscorlib 2.0.0.0 2.0.0.0 4.0.0.0 System.SystemException System.Runtime.InteropServices.ComVisible(true)

The default culture is the culture whose resources are loaded if the appropriate culture-specific resources cannot be found. By default, resources for the default culture are located in the main assembly, and a is thrown if the resource manager tries to retrieve but cannot find a resource for the default culture. However, the .NET Framework will load the resources for an app's default culture from a satellite assembly if the attribute specifies a value of for the location parameter. When this is the case, the exception is thrown when the resource manager tries to retrieve a resource of the default culture and the satellite assembly for the culture specified in the attribute is missing. Note that the exception is thrown by a resource retrieval method such as or , and not when the object is instantiated.

uses the HRESULT COR_E_MISSINGSATELLITEASSEMBLY, which has the value 0x80131536.

uses the default implementation, which supports reference equality.

For a list of initial property values for an instance of the class, see the constructors.

You should always use the attribute to define your app's default culture so that if a resource for a specific culture is unavailable, your application will display acceptable behavior.

The exception that is thrown when the satellite assembly for the resources of the default culture is missing.

- Constructor
  2.0.0.0
  4.0.0.0

  The following table shows the initial property values for an instance of the class.

  Property

  Value

  null.

  The localized error message for .

  Initializes a new instance of the class with default properties.

- Constructor
  2.0.0.0
  4.0.0.0

  The following table shows the initial property values for an instance of the class.

  Property

  Value

  null.

  The string.

  Initializes a new instance of the class with the specified error message.

  The error message that explains the reason for the exception.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream.

  Initializes a new instance of the class from serialized data.

  The object that holds the serialized object data.
  The contextual information about the source or destination of the exception.
- Constructor
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of the class.

  Property

  Value

  The inner exception reference.

  The error message string.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.
- Constructor
  2.0.0.0
  4.0.0.0

  The following table shows the initial property values for an instance of the class.

  Property

  Value

  The inner exception reference.

  The error message string.

  Initializes a new instance of the class with a specified error message and the name of a neutral culture.

  The error message that explains the reason for the exception.
  The name of the neutral culture.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The app's default culture is defined by the attribute. For a list of culture names, see the National Language Support (NLS) API Reference at the Go Global Developer Center.

  Gets the name of the default culture.